Subject: bug#26796: 26.0.50; (2 characters) is usually wrong

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 May 2017 13:32:33 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sat, 06 May 2017 11:49:55 +0200
> 
> To reproduce, open a file, type in "á" and save the file.  Emacs will
> now say (if you're a utf-8 kind of person)
> 
> Wrote ‘/tmp/a’ (2 characters)
> 
> which is wrong, since there's just one character in the buffer.

I see "1 characters" here.  I think the result depends on who you type
the above: if there are two characters, a followed by ́, then the file
really has 2 characters, and they are only shown as one on display.
Try "C-u C-x =" to see what you have in the buffer.

> Perhaps saying "(2 bytes)" will be more helpful?

I really doubt that: Emacs users tend to think in terms of characters
than in terms of bytes.